Update CRL configuration: Request

Prev Next

To change the certificate revocation list configuration, send the following request:

PUT https://<IA_IP_address>:<port_number>/config/v1/auth/x509/crl

Note

To use this request, your user account must have sudo access.

Required headers:

Cookie: px=<token> X-Username: <user> X-Role: <role> Content-Type: application/json

Request body:

{
  "retrievalInterval": int,
  "retrievalUrl": "url",
  "enableRetrieval": Boolean,
  "provided": Boolean
}

Options

  • IA_IP_address—The IP address of the NDR appliance running the NDR API.

  • port_number—The port number of the NDR appliance running the NDR API.

  • token—This token authenticates the session. By default, the session times out after 24 hours.

  • user—The user ID.

  • role—The user's role.

  • Content type—Response should be in JSON.

Example

PUT https://xxx.xxx.xxx.xxx:443/config/v1/auth/x509/crl

PUT https://xxx.xxx.xxx.xxx:443/config/v1/auth/x509/crl

Required headers:

Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
X-Username: wheel
X-Role: wheel

Update CRL configuration: Response

HTTP/1.1 [Response Code] [Response Message]				
Server: [Server]
Date: [Date]				
Content-Type: [Content Type]
{
  "retrievalInterval": int,
  "retrievalUrl": "url",
  "enableRetrieval": Boolean,
  "provided": Boolean
}
Response fields
  • Response code—A standard HTTP response code.

    • 200—Request successful; the configuration was successful.

  • Response message—A standard HTTP response message.

    • OK—Request successful; the configuration was successful.

  • Date—Standard HTML date format.

  • Content type—The response format.

  • 2fa_state—The two-factor authentication state of the specified user.

Example
HTTP/1.1 200 OK
Date: Fri, 16 Aug 2019 11:31:49 GMT
Content-Type: application/json; charset=utf-8
{
  "retrievalInterval": 0,
  "retrievalUrl": "",
  "enableRetrieval": false,
  "provided": false
}

cURL code sample: Update CRL configuration

curl -k -X PUT --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" 
-H "Content-Type: application/json" -H "X-Username: wheel" -H "X-Role: wheel" 
https://xxx.xxx.xxx.xxx:443/config/v1/auth/x509/crl -d @request.json

This cURL sample includes the following options:

  • -k—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate.

  • -X PUT—Specifies using the PUT method.

  • --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"—This option specifies the authentication token for this session.

  • -H "Content-Type: application/json"—Specifies that the response should be in JSON.

  • -H "X-Username: wheel"—User name.

  • -H "X-Role: wheel"—User role.

  • https://xxx.xxx.xxx.xxx:443/config/v1/auth/x509/crl—The CRL request URL. Replace xxx.xxx.xxx.xxx with the IP address of your NDR appliance.

  • -d @request.json—Specifies the file containing the request body.

Results

This example changes the CRL configuration.